<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Alert extends Model
{
    use HasFactory;

    protected $table = 'alerts';
    protected $fillable = [
        'employee_id',
        'sire_id',
        'date',
        'type',
        'status'
    ];

    public function employee()
    {
        return $this->belongsTo(Employee::class,'employee_id');
    }

    public function sire()
    {
        return $this->belongsTo(Sire::class,'sire_id');
    }

}
